%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/aymanbagabas/go-osc52
Version:                2.0.1

%gometa

%global goaltipaths     github.com/aymanbagabas/go-osc52/v2

%global common_description %{expand:
Golang terminal ANSI OSC52 wrapper. Copy text to clipboard from anywhere.}

%global golicenses      LICENSE
%global godocs          _examples README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Golang terminal ANSI OSC52 wrapper. Copy text to clipboard from anywhere

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
